Bug 1295287 (CVE-2015-8709) - CVE-2015-8709 Kernel: ptrace: potential privilege escalation in user namespaces
Summary: CVE-2015-8709 Kernel: ptrace: potential privilege escalation in user namespaces
Status: NEW
Alias: CVE-2015-8709
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20151212,repo...
Keywords: Security
Depends On: 1295288
Blocks: 1295281
TreeView+ depends on / blocked
 
Reported: 2016-01-04 06:14 UTC by Prasad J Pandit
Modified: 2018-08-28 22:01 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A privilege-escalation vulnerability was discovered in the Linux kernel built with User Namespace (CONFIG_USER_NS) support. The flaw occurred when the ptrace() system call was used on a root-owned process to enter a user namespace. A privileged namespace user could exploit this flaw to potentially escalate their privileges on the system, outside the original namespace.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2016-01-04 06:14:01 UTC
Linux kernel built with the User Namespaces(CONFIG_USER_NS) support is
vulnerable to a potential privilege escalation flaw. It could occur when a
root owned process tries to enter a user namespace, wherein a user attempts
to attach the entering process via ptrace(1).

A privileged name space user could use this flaw to potentially escalate their
privileges on the system.

Upstream fix:
-------------
  -> https://lkml.org/lkml/2015/12/25/71

Reference:
----------
  -> http://seclists.org/oss-sec/2015/q4/614

Comment 1 Prasad J Pandit 2016-01-04 06:15:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1295288]

Comment 2 Prasad J Pandit 2016-01-04 10:41:42 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 4 Fedora Update System 2016-01-12 07:59:25 UTC
kernel-4.3.3-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-01 06:23:43 UTC
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.